Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.RMSEncryptData Class Reference

## Public Member Functions
| RMSEncryptData ()
| Constructor.
| RMSEncryptData (boolean is_encrypt_metadata, String publish_license, java.util.ArrayList< byte[]> server_eul_list, float irm_version)
| Constructor, with parameters. More...
| RMSEncryptData (RMSEncryptData other)
| Constructor, with another RMS encrypt data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
float | getIrm_version ()
| Get microsoft IRM version. More...
boolean | getIs_encrypt_metadata ()
| Get a boolean value to decide whether to encrypt metadata or not. More...
String | getPublish_license ()
| Get the Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. More...
java.util.ArrayList< byte[]> | getServer_eul_list ()
| Get a string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL. More...
void | set (boolean is_encrypt_metadata, String publish_license, java.util.ArrayList< byte[]> server_eul_list, float irm_version)
| Set value. More...
void | setIrm_version (float value)
| Set microsoft IRM version. More...
void | setIs_encrypt_metadata (boolean value)
| Set a boolean value to decide whether to encrypt metadata or not. More...
void | setPublish_license (String value)
| Set the Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. More...
void | setServer_eul_list (java.util.ArrayList< byte[]> value)
| Set a string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL. More...

## Detailed Description

This class represents some data used for class RMSSecurityHandler .

## Constructor & Destructor Documentation

## ◆ RMSEncryptData() [1/2]

com.foxit.sdk.pdf.RMSEncryptData.RMSEncryptData | ( | boolean | is_encrypt_metadata,
|  | String | publish_license,
|  | java.util.ArrayList< byte[]> | server_eul_list,
|  | float | irm_version
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | publish_license | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class com.foxit.sdk.common.Codec if necessary.
  [in] | server_eul_list | In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL. For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class com.foxit.sdk.common.Codec if necessary. An empty array means not use such information.
  [in] | irm_version | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

## ◆ RMSEncryptData() [2/2]

com.foxit.sdk.pdf.RMSEncryptData.RMSEncryptData | ( | RMSEncryptData | other | ) |

Constructor, with another RMS encrypt data object.

Parameters

  [in] | other | Another RMS encrypt data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.RMSEncryptData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIrm_version()

com.foxit.sdk.pdf.RMSEncryptData.getIrm_version | ( |  | ) |

Get microsoft IRM version.

Returns
  Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

## ◆ getIs_encrypt_metadata()

com.foxit.sdk.pdf.RMSEncryptData.getIs_encrypt_metadata | ( |  | ) |

Get a boolean value to decide whether to encrypt metadata or not.

Returns
  A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

## ◆ getPublish_license()

com.foxit.sdk.pdf.RMSEncryptData.getPublish_license | ( |  | ) |

Get the Encoded Publishing License issued from server to the Content publisher, in ASCII encoding.

This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class com.foxit.sdk.common.Codec if necessary.

Returns
  The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string.

## ◆ getServer_eul_list()

com.foxit.sdk.pdf.RMSEncryptData.getServer_eul_list | ( |  | ) |

Get a string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL.

In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL.
For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm.Please refer to class com.foxit.sdk.common.Codec if necessary.
An empty array means not use such information.

Returns
  A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL.

## ◆ set()

void com.foxit.sdk.pdf.RMSEncryptData.set | ( | boolean | is_encrypt_metadata,
|  | String | publish_license,
|  | java.util.ArrayList< byte[]> | server_eul_list,
|  | float | irm_version
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | publish_license | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class com.foxit.sdk.common.Codec if necessary.
  [in] | server_eul_list | In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL. For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class com.foxit.sdk.common.Codec if necessary. An empty array means not use such information.
  [in] | irm_version | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

Returns
  None.

## ◆ setIrm_version()

com.foxit.sdk.pdf.RMSEncryptData.setIrm_version | ( | float | value | ) |

Set microsoft IRM version.

Parameters

  [in] | value | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

Returns
  None.

## ◆ setIs_encrypt_metadata()

com.foxit.sdk.pdf.RMSEncryptData.setIs_encrypt_metadata | ( | boolean | value | ) |

Set a boolean value to decide whether to encrypt metadata or not.

Parameters

  [in] | value | A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

Returns
  None.

## ◆ setPublish_license()

com.foxit.sdk.pdf.RMSEncryptData.setPublish_license | ( | String | value | ) |

Set the Encoded Publishing License issued from server to the Content publisher, in ASCII encoding.

This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class com.foxit.sdk.common.Codec if necessary.

Parameters

  [in] | value | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string.

Returns
  None.

## ◆ setServer_eul_list()

com.foxit.sdk.pdf.RMSEncryptData.setServer_eul_list | ( | java.util.ArrayList< byte[]> | value | ) |

Set a string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL.

In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL.
For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class com.foxit.sdk.common.Codec for Flate compression algorithm and Base-64 Encryption algorithm.Please refer to class com.foxit.sdk.common.Codec if necessary.
An empty array means not use such information.

Parameters

  [in] | value | A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL.

Returns
  None.